Bug 2183 - Cannot load libraries
Cannot load libraries
Status: CLOSED FIXED
Product: electric
Classification: Unclassified
Component: IO
1
PC Linux
: P1 blocker
: ---
Assigned To: developers
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-15 06:08 UTC by strubin
Modified: 2011-04-15 20:22 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description strubin 2011-04-15 06:08:50 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-12-19 10:29:15 **

/import/async/cad/2008/ico_collab08/frankie/ColICO/electric

1) Open electric
2) Cannot open flops.delib (or any library)

Message window doesn't say much

Read Project Settings from /home/fl155327/ColICO/electric/projsettings.xml
Error importing /home/fl155327/ColICO/electric/flops.delib/ as DELIB format.
job Read External Library returned false

PS> on bugzilla, version 8.09a not showing...
Comment 1 strubin 2011-04-15 16:20:40 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-12-19 11:53:50 **

I just tried v8.08 (MacOSX) with my version of ICO and it works fine...
We haven't changed nothing in the library IO part to break v8.08. I modified the Output class and its descendants but that is in v8.09a

Try with v8.08o and report.

Off now for some hours

Gilda
Comment 2 strubin 2011-04-15 16:20:43 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-12-19 12:57:34 **

same problem with 8.08
I put my preferences in

/home/fl155327/ColICO/electric/electricPrefs.xml
Comment 3 strubin 2011-04-15 16:20:45 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2008-12-19 17:24:51 **

Frankie

Please don't assign bugs to individuals otherwise others can't help if the assigned person is away, especially in cases marked as blocker.

In your example, your flops.delib library is empty (no header file). I added extra code in Electric to provide more information.
Comment 4 strubin 2011-04-15 16:20:48 UTC
** ORIGINALLY POSTED BY Frankie Liu on 2008-12-22 10:49:33 **

Hi Gilda,

I actually don't even know how to assign bugs to people.
I never entered anything in bugs.sunlabs.com, so it must
be some default setting...

-f
Comment 5 strubin 2011-04-15 16:20:51 UTC
** ORIGINALLY POSTED BY Gilda Garreton on 2009-01-12 16:18:17 **

Released in v8.09a and verified. Closing now.